
<div class="related-read">
  {%- for post in site.posts -%}
    {%- include read-time.html -%}

    {%- if post.title == include.title -%}
      
      <div class="flex-wrap-c-center-mobile no-bottom-margin">
        {%- if post.image -%}
        <div class="no-bottom-margin related-read-image">
          {%- include post-list-image.html -%}
        </div>
        {%- endif -%}
        <div class="related-read-title no-bottom-margin">
          {%- if include.read-time -%}
            <p class="related-read-meta no-bottom-margin f-s-16px f-acumin">Related | ~ {{ include.read-time }} min read</p>
          {%- else -%}
            <p class="related-read-meta no-bottom-margin f-s-16px f-acumin">Related | ~ {{ reading_time }}</p>
          {%- endif -%}
          {%- if include.link -%}
          <h1 class="no-bottom-margin right-pad-20px">
            <a href="{{ include.link }}">{{ post.title }}</a>
          </h1>
          {%- else -%}
            <h1 class="no-bottom-margin right-pad-20px">
              <a href="{{ post.url }}">{{ post.title }}</a>
            </h1>
          {%- endif -%}
        </div>
      </div>

    {%- endif -%}
  {%- endfor -%}
</div>